String currencyCodeToSymbol(String currencyCode) {
  switch (currencyCode) {
    case 'USD':
      return '\$';
    case 'PLN':
      return 'zł';
    case 'EUR':
      return '€';
    case 'GBP':
      return '£';
    case 'HUF':
      return 'Ft';
    case 'RUB':
      return '₽';
    default:
      return currencyCode;
  }
}

String currencyToString(String currencyCode, double amount) {
  return '${currencyCodeToSymbol(currencyCode)}\u00A0${amount.toStringAsFixed(2)}';
}